### org.jfree.layouting.layouter.style.resolver.computed.content

# Class XAlternateTextResolveHandler

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.resolver.computed.content.XAlternateTextResolveHandler`

Implemented Interfaces:
  ResolveHandler

`public class XAlternateTextResolveHandler`
`extends java.lang.Object`
`implements ResolveHandler`

=========================================== LibLayout : a free Java layouting library =========================================== Project Info: http://reporting.pentaho.org/liblayout/ (C) Copyright 2006-2007, by Pentaho Corporation and Contributors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version. This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. [Java is a trademark or registered trademark of Sun Microsystems, Inc. in the United States and other countries.] ------------ $Id: XAlternateTextResolveHandler.java 6489 2008-11-28 14:53:40Z tmorgner $ ------------ (C) Copyright 2006-2007, by Pentaho Corporation.

  ## Constructor Summary

  `XAlternateTextResolveHandler()`

  ## Method Summary

  `StyleKey[]`

  `getRequiredStyles()`
    This indirectly defines the resolve order.

  `void`

  `resolve(LayoutProcess process, LayoutElement element, StyleKey key)`
    Resolves a String.

## Constructor Details

### XAlternateTextResolveHandler

    public XAlternateTextResolveHandler()

## Method Details

### getRequiredStyles

    public StyleKey[] getRequiredStyles()

> This indirectly defines the resolve order. The higher the order, the more dependent is the resolver on other resolvers to be complete.
> Specified by:
>   getRequiredStyles in interface ResolveHandler
> Returns:
>   the array of required style keys.

### resolve

    public void resolve(LayoutProcess process,
                        LayoutElement element,
                        StyleKey key)

> Resolves a String. As the string may contain the 'contents' property, it is not resolvable here. The ContentNormalizer needs to handle this property instead. (But this code prepares everything ..)
> Specified by:
>   resolve in interface ResolveHandler
> Parameters: